> ## Documentation Index
> Fetch the complete documentation index at: https://docs.silnahealth.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Payor



## OpenAPI

````yaml get /public/v1/payors/{payor_id}
openapi: 3.0.2
info:
  title: Silna Public API
  version: '1.0'
servers:
  - url: https://app.silnahealth.com/api
security:
  - bearerAuth: []
paths:
  /public/v1/payors/{payor_id}:
    get:
      tags:
        - V1GetPayorResource
      summary: Get Payor
      operationId: V1GetPayorResource.get
      parameters:
        - in: path
          name: payor_id
          required: true
          schema:
            type: string
      responses:
        '200':
          description: |2-

                Payors Response
                
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/V1Payor'
          headers:
            X-RateLimit-Limit:
              schema:
                type: integer
                description: The maximum number of requests allowed in the time window
            X-RateLimit-Remaining:
              schema:
                type: integer
                description: The number of requests remaining in the current time window
            X-RateLimit-Reset:
              schema:
                type: integer
                description: The time when the rate limit will reset, in Unix timestamp
            Retry-After:
              schema:
                type: number
                description: The number of seconds to wait before making another request
        '401':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AuthenticationError'
          headers:
            X-RateLimit-Limit:
              schema:
                type: integer
                description: The maximum number of requests allowed in the time window
            X-RateLimit-Remaining:
              schema:
                type: integer
                description: The number of requests remaining in the current time window
            X-RateLimit-Reset:
              schema:
                type: integer
                description: The time when the rate limit will reset, in Unix timestamp
            Retry-After:
              schema:
                type: number
                description: The number of seconds to wait before making another request
        '404':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ObjectNotFoundError'
          headers:
            X-RateLimit-Limit:
              schema:
                type: integer
                description: The maximum number of requests allowed in the time window
            X-RateLimit-Remaining:
              schema:
                type: integer
                description: The number of requests remaining in the current time window
            X-RateLimit-Reset:
              schema:
                type: integer
                description: The time when the rate limit will reset, in Unix timestamp
            Retry-After:
              schema:
                type: number
                description: The number of seconds to wait before making another request
        '429':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TooManyRequestsError'
          headers:
            X-RateLimit-Limit:
              schema:
                type: integer
                description: The maximum number of requests allowed in the time window
            X-RateLimit-Remaining:
              schema:
                type: integer
                description: The number of requests remaining in the current time window
            X-RateLimit-Reset:
              schema:
                type: integer
                description: The time when the rate limit will reset, in Unix timestamp
            Retry-After:
              schema:
                type: number
                description: The number of seconds to wait before making another request
components:
  schemas:
    V1Payor:
      description: Payors Response
      properties:
        id:
          description: The Silna Identifier for the payor
          format: uuid
          title: Id
          type: string
        name:
          description: The name of the payor
          title: Name
          type: string
          example: AETNA
        alternate_identifiers:
          description: The alternate identifiers associated with the payor
          items:
            $ref: '#/components/schemas/V1AlternateIdentifier'
          title: Alternate Identifiers
          type: array
        insurance_types:
          description: The insurance types connected to the payor
          items:
            $ref: '#/components/schemas/InsuranceType'
          title: Insurance Types
          type: array
          example:
            - - COMMERCIAL
              - MEDICARE
      required:
        - id
        - name
        - alternate_identifiers
        - insurance_types
      title: V1Payor
      type: object
      x-folder: public_api
    AuthenticationError:
      type: object
      required:
        - message
      properties:
        message:
          type: string
          description: Human readable error message
        type:
          $ref: '#/components/schemas/PublicApiErrorType'
      x-folder: null
    ObjectNotFoundError:
      type: object
      required:
        - message
      properties:
        message:
          type: string
          description: Human readable error message
      x-folder: null
    TooManyRequestsError:
      type: object
      required:
        - message
      properties:
        message:
          type: string
          description: Human readable error message
      x-folder: null
    V1AlternateIdentifier:
      description: Alternate Identifiers Response
      properties:
        identifier:
          description: The alternate identifier
          title: Identifier
          type: string
          example: AETNA_INSC
        standard:
          $ref: '#/components/schemas/PayorStandard'
          description: The standard of the alternate identifier
          example: AVAILITY
        payor_types:
          description: >-
            The types of insurances that this alternate identifier is associated
            with
          items:
            $ref: '#/components/schemas/InsuranceType'
          title: Payor Types
          type: array
          example:
            - COMMERCIAL
            - MEDICARE
      required:
        - identifier
        - standard
        - payor_types
      title: V1AlternateIdentifier
      type: object
      x-folder: public_api
    InsuranceType:
      type: string
      enum:
        - COMMERCIAL
        - MEDICARE
        - MEDICAID
        - REGIONAL_CENTER
        - WORKERS_COMPENSATION
        - AUTO_INSURANCE
      x-folder: patient
    PublicApiErrorType:
      type: string
      enum:
        - AUTH_INVALID_REQUEST_HEADER
        - AUTH_INVALID_CREDENTIALS
      x-folder: null
    PayorStandard:
      type: string
      enum:
        - AVAILITY
        - WAYSTAR
        - CHANGE_HEALTHCARE
        - OFFICE_ALLY
        - CLAIM_MD
        - STEDI
      x-folder: payor_entity
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````